GetApplication
Note
AWS Service Catalog AppRegistry will no longer be open to new customers starting July 30, 2026. If you would like to use AppRegistry, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Service Catalog AppRegistry availability change.
Retrieves metadata information
about one
of your applications.
The application can be specified
by its ARN, ID, or name
(which is unique
within one account
in one region
at a given point
in time).
Specify
by ARN or ID
in automated workflows
if you want
to make sure
that the exact same application is returned or a ResourceNotFoundException is thrown,
avoiding the ABA addressing problem.
Request Syntax
GET /applications/application HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- application
-
The name, ID, or ARN of the application.
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"applicationTag": {
"string" : "string"
},
"arn": "string",
"associatedResourceCount": number,
"creationTime": "string",
"description": "string",
"id": "string",
"integrations": {
"applicationTagResourceGroup": {
"arn": "string",
"errorMessage": "string",
"state": "string"
},
"resourceGroup": {
"arn": "string",
"errorMessage": "string",
"state": "string"
}
},
"lastUpdateTime": "string",
"name": "string",
"tags": {
"string" : "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- applicationTag
-
A key-value pair that identifies an associated resource.
Type: String to string map
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$Value Length Constraints: Maximum length of 256.
Value Pattern:
[\p{L}\p{Z}\p{N}_.:/=+\-@]* - arn
-
The Amazon resource name (ARN) that specifies the application across services.
Type: String
Pattern:
arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[a-z0-9]+ - associatedResourceCount
-
The number of top-level resources that were registered as part of this application.
Type: Integer
Valid Range: Minimum value of 0.
- creationTime
-
The ISO-8601 formatted timestamp of the moment when the application was created.
Type: Timestamp
- description
-
The description of the application.
Type: String
Length Constraints: Maximum length of 1024.
- id
-
The identifier of the application.
Type: String
Length Constraints: Fixed length of 26.
Pattern:
[a-z0-9]+ - integrations
-
The information about the integration of the application with other services, such as AWS Resource Groups.
Type: Integrations object
- lastUpdateTime
-
The ISO-8601 formatted timestamp of the moment when the application was last updated.
Type: Timestamp
- name
-
The name of the application. The name must be unique in the region in which you are creating the application.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[-.\w]+ -
Key-value pairs associated with the application.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$Value Length Constraints: Maximum length of 256.
Value Pattern:
[\p{L}\p{Z}\p{N}_.:/=+\-@]*
Errors
- ConflictException
-
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).
HTTP Status Code: 409
- InternalServerException
-
The service is experiencing internal problems.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource does not exist.
HTTP Status Code: 404
- ValidationException
-
The request has invalid or missing parameters.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: